#ifndef FUNCTIONS_H_INCLUDED
#define FUNCTIONS_H_INCLUDED

#define TRUE 	0x1
#define FALSE	0x0

#define PI          3.1415926535897932384626433832795
#define HALF_PI     1.5707963267948966192313216916398
#define TWO_PI      6.283185307179586476925286766559
#define DEG_TO_RAD  0.017453292519943295769236907684886
#define RAD_TO_DEG  57.295779513082320876798154814105

uint8_t		sreg_tmp;

// Prototypes

void ElementLoop(float lengths, float additional_time_ms, int speed_wpm_on, uint8_t sending_type);

void SideToneOn(void);
void SideToneOff(void);

void IntDisable(void);
void IntEnable(void);


// EEPROM
void WriteEEProm(void);
void ReadEEProm(void);
void WriteEEProm_WpM(void);
void ReadEEProm_WpM(void);

#endif
